Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxTimerCtrl.h File Reference This is the header file for the Timer Control component. More... Go to the source code of this file.
## Defines
#define | IX_TIMERCTRL_NO_FREE_TIMERS
| Timer schedule return code.
#define | IX_TIMERCTRL_PARAM_ERROR
| Timer schedule return code.
## Typedefs
typedef void(* | IxTimerCtrlTimerCallback )(void *userParam)
| A typedef for a pointer to a timer callback function.
## Enumerations
enum | IxTimerCtrlPurpose { IxTimerCtrlAdslPurpose, IxTimerCtrlMaxPurpose }
| List used to identify the users of timers. More...
## Functions
IX_STATUS | ixTimerCtrlSchedule (IxTimerCtrlTimerCallback func, void *userParam, IxTimerCtrlPurpose purpose, UINT32 relativeTime, unsigned *timerId)
| Schedules a callback function to be called after a period of "time". The callback function should not block or run for more than 100ms. This function.
IX_STATUS | ixTimerCtrlScheduleRepeating (IxTimerCtrlTimerCallback func, void *param, IxTimerCtrlPurpose purpose, UINT32 interval, unsigned *timerId)
| Schedules a callback function to be called after a period of "time". The callback function should not block or run for more than 100ms.
IX_STATUS | ixTimerCtrlCancel (unsigned id)
| Cancels a scheduled callback.
IX_STATUS | ixTimerCtrlInit (void)
| Initialise the Timer Control Component.
void | ixTimerCtrlShow (void)
| Display the status of the Timer Control Component.
## Detailed Description This is the header file for the Timer Control component. The timer callback control component provides a mechanism by which different client components can start a timer and have a supplied callback function invoked when the timer expires. The callbacks are all dispatched from one thread inside this component. Any component that needs to be called periodically should use this facility rather than create its own task with a sleep loop. Version: Revision 1.9 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxTimerCtrl.h.
Automatically generated from sources. © Intel Corp. 2003